Subject: Re: bug#21280: test failures: nar, syscalls, containers

From: Leo Famulari <[email-masked]>
Date: Mon, 17 Aug 2015 23:00:39 -0400

$ uname -a
Linux hostname 4.1.0-1-amd64 #1 SMP Debian 4.1.3-1 (2015-08-03) x86_64
GNU/Linux

This is Debian testing so things may be broken. Sorry, I didn't think of
that before submitting the report.

On Mon, Aug 17, 2015, at 11:42, Thompson, David wrote:
> On Sun, Aug 16, 2015 at 11:43 PM, Leo Famulari <[email-masked]> wrote:
> > Running `make check` on HEAD ( commit 4e014373 ), I got failures for
> > tests/nar.scm, tests/syscalls.scm, and tests/containers.scm.
> >
> > The same tests also failed when I checked out tag v0.8.3 but I don't
> > have those
> > logs anymore. Let me know if you want them.
> >
> > I've attached test-suite.log and the logs for the failed modules.
> >
> > Let me know if you need more tests.
> 
> Thanks for the report.  I'm going to look into the issues with the
> container and syscall tests.  Which version of Linux[-libre] are you
> using?  It looks like you're using a kernel that doesn't properly
> support containers, which we should detect and skip tests accordingly.
> 
> - Dave